using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HumanLikeBattleRobots.Data;
using HumanLikeBattleRobots.Logic;

namespace HumanLikeBattleRobots.Graphic
{
    class BonusSprite: Sprite
    {
        private int frame;
        public BonusSprite(int stage, int bonusNumber)
            : base(stage)
        {
            relativeCenterPosition = new Vec2f(22, 22);
            drawTexture = GraphicResources.BonusTexture;
            frame = bonusNumber;
        }

        public override void Draw()
        {
            drawTexture.DrawRotAxisFrame(this.DrawPosition - this.AxisPosition, this.angle, 1,
                this.DrawPosition, (ushort)frame);
        }
    }
}
